### A free/open-source library for quantitative finance

Public Member Functions
GammaFunction Class Reference

Gamma function class. More...

`#include <ql/math/distributions/gammadistribution.hpp>`

Inherits unary_function< Real, Real >.

List of all members.

## Public Member Functions

Real | logValue (Real x) const

## Detailed Description

Gamma function class.

This is a function defined by

The implementation of the algorithm was inspired by "Numerical Recipes in C", 2nd edition, Press, Teukolsky, Vetterling, Flannery, chapter 6

Tests:
  the correctness of the returned value is tested by checking it against known good results.